Name:           python-pytest-fixture-config
Version:        1.7.0
Release:        1
Summary:        Simple configuration objects for Py.test fixtures
License:        MIT
URL:            https://pypi.python.org/pypi/pytest-fixture-config
Source0:        https://files.pythonhosted.org/packages/07/19/37fe282f262b65247e310ec59223329e1ad53a71683f81a139e7d9ca7916/pytest-fixture-config-1.7.0.tar.gz
BuildArch:      noarch
BuildRequires:  python3-devel python3-pytest
BuildRequires:  python3-six python3-setuptools_git

%description
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%package        -n python3-pytest-fixture-config
Summary:        Simple configuration objects for Py.test fixtures
%python_provide python3-pytest-fixture-config
Requires:       python3-pytest

%description    -n python3-pytest-fixture-config
Simple configuration objects for Py.test fixtures.
Allows you to skip tests when their required config variables aren't set.

%prep
%autosetup -n pytest-fixture-config-%{version} -p1

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-pytest-fixture-config
%doc README.md CHANGES.md
%{python3_sitelib}/*

%changelog
* Wed Jul 6 2022 caodongxia <caodongxia@h-partners.com> - 1.7.0-1
- Update to 1.7.0

* Sat Jan 9 2021 baizhonggui<baizhonggui@huawei.com> - 1.2.11-8
- Fix building for pytest

* Fri 11 Sep 2020 wangyue<wangyue92@huawei.com> - 1.2.11-7
- Remove python2-pytest-fixture-config

* Fri Jan 03 2020 zoushuangshuang <zoushuangshuang@huawei.com > - 1.2.11-6
- Package init
